Bug 475085 - Bluetooth dongle hci_cmd_task timeout 110
Bluetooth dongle hci_cmd_task timeout 110
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 11:04 EST by Kai Meyer
Modified: 2009-12-18 02:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:11:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai Meyer 2008-12-07 11:04:26 EST
Description of problem:
From the GUI, my bluetooth dongle does not save settings. Every change takes 10 seconds to make. This ends up being due to the kernel timing out on certain functions. See below for /var/log/messages

Version-Release number of selected component (if applicable):
Kernel 2.6.27.5-117.fc10.x86_64
gnome-bluetooth-0.11.0-5.fc10.x86_64
gnome-bluetooth-libs-0.11.0-5.fc10.x86_64
bluez-4.17-2.fc10.x86_64

How reproducible:
I would imagine you would need the same bluetooth dongle (Bus 003 Device 022: ID 047d:105d Kensington PocketMouse Bluetooth). I also found this ubuntu bug with the same symptoms (and appears to be the same dongle).
https://bugs.launchpad.net/ubuntu/+bug/289836/comments/20


Steps to Reproduce:
1. Simply plug in the USB bluetooth dongle and watch /var/log/messages.
  
Actual results:
Functions that appear to be within the kernel trying to communicate with the bluetooth device time out with a 110 error.

Expected results:
No errors using the bluetooth dongle.

Additional info:
Here is the relevant messages from /var/log/messages. This is a brand new boot, and plugging in the bluetooth device after logging in with my user. This has been a problem since I installed Rawhide mid-November

Dec  7 08:35:56 gamer kernel: usb 3-3: new full speed USB device using ohci_hcd and address 21
Dec  7 08:35:56 gamer kernel: usb 3-3: configuration #1 chosen from 1 choice
Dec  7 08:35:56 gamer kernel: hub 3-3:1.0: USB hub found
Dec  7 08:35:56 gamer kernel: hub 3-3:1.0: 3 ports detected
Dec  7 08:35:56 gamer kernel: usb 3-3: New USB device found, idVendor=0a5c, idProduct=3535
Dec  7 08:35:56 gamer kernel: usb 3-3: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Dec  7 08:35:56 gamer kernel: usb 3-3.1: new full speed USB device using ohci_hcd and address 22
Dec  7 08:35:56 gamer kernel: usb 3-3.1: configuration #1 chosen from 1 choice
Dec  7 08:35:56 gamer bluetoothd[25764]: HCI dev 0 registered
Dec  7 08:35:56 gamer kernel: usb 3-3.1: New USB device found, idVendor=047d, idProduct=105d
Dec  7 08:35:56 gamer kernel: usb 3-3.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Dec  7 08:35:56 gamer kernel: usb 3-3.1: Product: BCM92035DG
Dec  7 08:35:56 gamer kernel: usb 3-3.1: Manufacturer: Broadcom
Dec  7 08:35:56 gamer kernel: usb 3-3.1: SerialNumber: 000C55F6AE24
Dec  7 08:35:56 gamer kernel: usb 3-3.2: new full speed USB device using ohci_hcd and address 23
Dec  7 08:35:57 gamer kernel: usb 3-3.2: configuration #1 chosen from 1 choice
Dec  7 08:35:57 gamer bluetoothd[25764]: HCI dev 0 up
Dec  7 08:35:57 gamer kernel: input: HID 0a5c:3502 as /devices/pci0000:00/0000:00:02.0/usb3/3-3/3-3.2/3-3.2:1.0/input/input15
Dec  7 08:35:57 gamer kernel: input,hidraw1: USB HID v1.11 Keyboard [HID 0a5c:3502] on usb-0000:00:02.0-3.2
Dec  7 08:35:57 gamer kernel: usb 3-3.2: New USB device found, idVendor=0a5c, idProduct=3502
Dec  7 08:35:57 gamer kernel: usb 3-3.2: New USB device strings: Mfr=0, Product=0, SerialNumber=3
Dec  7 08:35:57 gamer kernel: usb 3-3.2: SerialNumber: 000C55F6AE24
Dec  7 08:35:57 gamer kernel: usb 3-3.3: new full speed USB device using ohci_hcd and address 24
Dec  7 08:35:57 gamer kernel: usb 3-3.3: configuration #1 chosen from 1 choice
Dec  7 08:35:57 gamer kernel: input: HID 0a5c:3503 as /devices/pci0000:00/0000:00:02.0/usb3/3-3/3-3.3/3-3.3:1.0/input/input16
Dec  7 08:35:57 gamer kernel: input,hidraw2: USB HID v1.11 Mouse [HID 0a5c:3503] on usb-0000:00:02.0-3.3
Dec  7 08:35:57 gamer kernel: usb 3-3.3: New USB device found, idVendor=0a5c, idProduct=3503
Dec  7 08:35:57 gamer kernel: usb 3-3.3: New USB device strings: Mfr=0, Product=0, SerialNumber=3
Dec  7 08:35:57 gamer kernel: usb 3-3.3: SerialNumber: 000C55F6AE24
Dec  7 08:36:02 gamer kernel: hci_cmd_task: hci0 command tx timeout
Dec  7 08:36:05 gamer kernel: usb 3-3.2: USB disconnect, address 23
Dec  7 08:36:05 gamer kernel: usb 3-3.3: USB disconnect, address 24
Dec  7 08:36:07 gamer bluetoothd[25764]: Can't write inquiry mode for /org/bluez/hci0: Connection timed out (110)
Dec  7 08:36:07 gamer bluetoothd[25764]: Registered interface org.bluez.Service on path /org/bluez/hci0
Dec  7 08:36:07 gamer kernel: hci_cmd_task: hci0 command tx timeout
Dec  7 08:36:12 gamer bluetoothd[25764]: Can't write class of device: Connection timed out (110)
Dec  7 08:36:12 gamer kernel: hci_cmd_task: hci0 command tx timeout
Dec  7 08:36:17 gamer bluetoothd[25764]: Can't write class of device: Connection timed out (110)
Dec  7 08:36:17 gamer kernel: hci_cmd_task: hci0 command tx timeout
Dec  7 08:36:22 gamer bluetoothd[25764]: Can't write class of device: Connection timed out (110)
Dec  7 08:36:22 gamer kernel: hci_cmd_task: hci0 command tx timeout
Dec  7 08:36:27 gamer bluetoothd[25764]: Can't write class of device: Connection timed out (110)
Dec  7 08:36:27 gamer bluetoothd[25764]: Registered interface org.bluez.NetworkPeer on path /org/bluez/hci0
Dec  7 08:36:27 gamer kernel: hci_cmd_task: hci0 command tx timeout
Dec  7 08:36:32 gamer bluetoothd[25764]: Can't write class of device: Connection timed out (110)
Dec  7 08:36:32 gamer bluetoothd[25764]: Registered interface org.bluez.NetworkHub on path /org/bluez/hci0
Dec  7 08:36:32 gamer kernel: hci_cmd_task: hci0 command tx timeout
Dec  7 08:36:37 gamer bluetoothd[25764]: Can't write class of device: Connection timed out (110)
Dec  7 08:36:37 gamer bluetoothd[25764]: Registered interface org.bluez.NetworkRouter on path /org/bluez/hci0
Dec  7 08:36:37 gamer bluetoothd[25764]: Failed to listen on control channel
Dec  7 08:36:37 gamer bluetoothd[25764]: Registered interface org.bluez.SerialProxyManager on path /org/bluez/hci0
Dec  7 08:36:37 gamer kernel: hci_cmd_task: hci0 command tx timeout
Dec  7 08:36:37 gamer bluetoothd[25764]: Adapter /org/bluez/hci0 has been enabled
Dec  7 08:36:37 gamer bluetoothd[25764]: Starting security manager 0
Comment 1 Sasha 2008-12-17 09:34:49 EST
Problem with hardware:
USB Bluetooth dongle D-Link DBT-122
Worked as expected on Windows and Fedora 9

Reproduced on typical i386 PC and Dell Latitude D630 (internal BT adapter is OK)

Description of problem: 
(In reply to comment #0)
> From the GUI, my bluetooth dongle does not save settings. Every change takes 10
> seconds to make. This ends up being due to the kernel timing out on certain
> functions. See below for /var/log/messages

kernel-2.6.27.7-134.fc10.i686

Inserting module btusb with reset=1 didn't help

How reproduce:
Use the same bluetooth dongle D-Link DBT-122 and expect it to work :)

Additional info:
Relevant messages from /var/log/messages after dongle connected

Dec 16 18:15:37 localhost kernel: usb 5-1: new full speed USB device using uhci_hcd and address 7
Dec 16 18:15:37 localhost kernel: usb 5-1: configuration #1 chosen from 1 choice
Dec 16 18:15:37 localhost bluetoothd[2379]: HCI dev 1 registered
Dec 16 18:15:37 localhost kernel: usb 5-1: New USB device found, idVendor=2001, idProduct=f111
Dec 16 18:15:37 localhost kernel: usb 5-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Dec 16 18:15:37 localhost kernel: usb 5-1: Product: DBT-122
Dec 16 18:15:37 localhost kernel: usb 5-1: Manufacturer: D-Link
Dec 16 18:15:37 localhost bluetoothd[2379]: HCI dev 1 up
Dec 16 18:15:42 localhost bluetoothd[2379]: Can't write class of device: Connection timed out (110)
Dec 16 18:15:42 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:15:42 localhost bluetoothd[2379]: Registered interface org.bluez.NetworkPeer on path /org/bluez/2379/hci1
Dec 16 18:15:47 localhost bluetoothd[2379]: Can't write class of device: Connection timed out (110)
Dec 16 18:15:47 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:15:47 localhost bluetoothd[2379]: Registered interface org.bluez.NetworkHub on path /org/bluez/2379/hci1
Dec 16 18:15:52 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:15:52 localhost bluetoothd[2379]: Can't write class of device: Connection timed out (110)
Dec 16 18:15:52 localhost bluetoothd[2379]: Registered interface org.bluez.NetworkRouter on path /org/bluez/2379/hci1
Dec 16 18:15:57 localhost bluetoothd[2379]: Can't write class of device: Connection timed out (110)
Dec 16 18:15:57 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:16:02 localhost bluetoothd[2379]: Can't write class of device: Connection timed out (110)
Dec 16 18:16:02 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:16:07 localhost bluetoothd[2379]: Can't write class of device: Connection timed out (110)
Dec 16 18:16:07 localhost bluetoothd[2379]: Registered interface org.bluez.SerialProxyManager on path /org/bluez/2379/hci1
Dec 16 18:16:07 localhost bluetoothd[2379]: Registered interface org.bluez.Service on path /org/bluez/2379/hci1
Dec 16 18:16:07 localhost bluetoothd[2379]: Failed to listen on control channel
Dec 16 18:16:07 localhost bluetoothd[2379]: Adapter /org/bluez/2379/hci1 has been enabled
Dec 16 18:16:07 localhost bluetoothd[2379]: Starting security manager 1
Dec 16 18:16:07 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:16:12 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:16:17 localhost bluetoothd[2379]: Can't write current IAC LAP: Connection timed out(110)
Dec 16 18:16:17 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:16:22 localhost bluetoothd[2379]: Can't write current IAC LAP: Connection timed out(110)
Dec 16 18:16:22 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:16:27 localhost bluetoothd[2379]: Can't write current IAC LAP: Connection timed out(110)
Dec 16 18:16:27 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:16:32 localhost bluetoothd[2379]: Can't write current IAC LAP: Connection timed out(110)
Dec 16 18:16:32 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:16:37 localhost bluetoothd[2379]: Can't write current IAC LAP: Connection timed out(110)
Dec 16 18:16:37 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:16:42 localhost bluetoothd[2379]: Can't write current IAC LAP: Connection timed out(110)
Dec 16 18:16:42 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:16:47 localhost bluetoothd[2379]: Can't write current IAC LAP: Connection timed out(110)
Dec 16 18:16:47 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:16:52 localhost bluetoothd[2379]: Can't write current IAC LAP: Connection timed out(110)
Dec 16 18:18:19 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:18:24 localhost bluetoothd[2379]: Can't write current IAC LAP: Connection timed out(110)
Dec 16 18:18:24 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:18:24 localhost kernel: hci_cmd_task: hci1 command tx timeout
Dec 16 18:18:29 localhost bluetoothd[2379]: Can't write current IAC LAP: Connection timed out(110)
Dec 16 18:24:46 localhost bluetoothd[2379]: Discovery session 0xb89167e0 with :1.159 activated
Dec 16 18:24:58 localhost kernel: usb 5-1: USB disconnect, address 7
Dec 16 18:24:58 localhost kernel: btusb_intr_complete: hci1 urb f44ccc00 failed to resubmit (19)
Dec 16 18:24:58 localhost bluetoothd[2379]: HCI dev 1 down
Dec 16 18:24:58 localhost bluetoothd[2379]: Adapter /org/bluez/2379/hci1 has been disabled
Dec 16 18:24:58 localhost bluetoothd[2379]: Stopping security manager 1
Dec 16 18:24:58 localhost kernel: btusb_send_frame: hci1 urb dc0a5e00 submission failed
Dec 16 18:24:58 localhost bluetoothd[2379]: HCI dev 1 unregistered
Dec 16 18:24:58 localhost bluetoothd[2379]: Unregister path: /org/bluez/2379/hci1
Dec 16 18:24:58 localhost bluetoothd[2379]: Unregistered interface org.bluez.NetworkPeer on path /org/bluez/2379/hci1
Dec 16 18:24:58 localhost bluetoothd[2379]: Unregistered interface org.bluez.NetworkHub on path /org/bluez/2379/hci1
Dec 16 18:24:58 localhost bluetoothd[2379]: Unregistered interface org.bluez.NetworkRouter on path /org/bluez/2379/hci1
Dec 16 18:25:04 localhost bluetoothd[2379]: Discovery session 0xb89167e0 with :1.159 deactivated
Comment 2 Malcolm Amir Hussain-Gambles 2009-06-30 10:44:47 EDT
I am having the same problem with fedora 11 (was fedora 10, but I've upgraded and the problem still occurs)

Jun 30 15:31:55 nas kernel: hci_cmd_task: hci0 command tx timeout
Jun 30 15:32:00 nas bluetoothd[3389]: Can't read version info for /org/bluez/3389/hci0: Connection timed out (110)
Jun 30 15:32:05 nas bluetoothd[3391]: Can't set link policy on hci0: Connection timed out (110)

[root@nas bluetooth]# hcitool scan
Scanning ...
Inquiry failed: Connection timed out

messages...
Jun 30 15:41:04 nas kernel: hci_cmd_task: hci0 command tx timeout


same module btusb, again this works fine on windows so is not a hardware issue

I'd guess this is a kernel bug and related to:

https://bugs.launchpad.net/linux/+bug/268502
Comment 3 Malcolm Amir Hussain-Gambles 2009-06-30 10:46:14 EDT
Sorry my bluetooth dongle is:

Bus 002 Device 002: ID 0a5c:200a Broadcom Corp. Bluetooth dongle
Comment 4 Malcolm Amir Hussain-Gambles 2009-07-07 04:42:41 EDT
Bought another bluetooth dongle and it seems to work, looks like this is specific to hardware, if anyone wants the dongle that doesn't work to help fix it I'll ship it to you.
Comment 5 Illtud Daniel 2009-07-29 06:36:34 EDT
I have the same 0a5c:200a Broadcom dongle, and I'm getting the same timeout.

Ubuntu bug for it here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/268502?comments=all

Seems to be a problem with btusb & bluez, and fixed in bluez 4.40.

I'm on FC10 still - is this fixed in FC11? I'll try it out and report back.
Comment 6 Kai Meyer 2009-07-29 10:12:59 EDT
I'm still having no luck. I'm on the same laptop, updated to fedora 11, bluez version 4.37 didn't work, upgrated to 4.42 and still behaving the same, with the exact same errors loged to /var/log/messages.

I have two devices show up in 'lsusb'. '047d:105d Kensington PocketMouse Bluetooth' and '0a5c:3535 Broadcom Corp.'
Comment 7 Leif Gruenwoldt 2009-09-15 21:03:22 EDT
Same problem here.

1. /var/log/messages after plugging in my dongle:

Sep 15 20:54:53 jug kernel: usb 5-1: new full speed USB device using uhci_hcd and address 4
Sep 15 20:54:53 jug kernel: usb 5-1: New USB device found, idVendor=22b8, idProduct=0850
Sep 15 20:54:53 jug kernel: usb 5-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Sep 15 20:54:53 jug kernel: usb 5-1: Product: BCM92035DGROM
Sep 15 20:54:53 jug kernel: usb 5-1: Manufacturer: Broadcom
Sep 15 20:54:53 jug kernel: usb 5-1: SerialNumber: 000C55361E56
Sep 15 20:54:53 jug kernel: usb 5-1: configuration #1 chosen from 1 choice
Sep 15 20:54:53 jug bluetoothd[1729]: HCI dev 0 registered
Sep 15 20:54:53 jug bluetoothd[1729]: HCI dev 0 up
Sep 15 20:54:53 jug bluetoothd[1729]: Starting security manager 0
Sep 15 20:54:58 jug bluetoothd[1729]: Can't write class of device: Connection timed out (110)
Sep 15 20:54:58 jug kernel: hci_cmd_task: hci0 command tx timeout
Sep 15 20:54:58 jug bluetoothd[1729]: Adapter /org/bluez/1729/hci0 has been enabled

2. and after powering on bluetooth keyboard the Bluetooth Manager on the desktop immediately recognizes the device and asks for authorization. I say yes, but keyboard does not begin to work and no new messages in /var/log/messages


FYI, for me the last time this bluetooth dongle and bluetooth keyboard worked was Fedora 8. Every release since has not worked.

From $ lusb

Bus 005 Device 004: ID 22b8:0850 Motorola PCS Bluetooth Device
Comment 8 Leif Gruenwoldt 2009-09-15 21:10:27 EDT
I should note I am using F11 with latest updates

$ uname -a
Linux jug 2.6.30.5-43.fc11.i686.PAE #1 SMP Thu Aug 27 21:34:36 EDT 2009 i686 i686 i386 GNU/Linux

$ rpm -q bluez
bluez-4.42-5.fc11.i586
Comment 9 Leif Gruenwoldt 2009-10-17 12:18:36 EDT
Saw over on launchpad (https://bugs.launchpad.net/ubuntu/+source/bluez-utils/+bug/133690) someone reporting success on Ubuntu 9.10 Karmic-beta Live-CD.

I tried it myself and it is indeed fixed there. My dongle is pairing with my keyboard for the first time since Fedora 8. Hope these fixes make there way to Fedora soon.

$ lsusb | grep Bluetooth
Bus 004 Device 003: ID 22b8:0850 Motorola PCS Bluetooth Device

$ uname -a
Linux ubuntu 2.6.31-11-generic #36-Ubuntu SMP Fri Sep 25 06:37:51 UTC 2009 i686 GNU/Linux

$ dpkg -l | grep -i blue
ii  bluetooth                            4.51-0ubuntu2                              Bluetooth support
ii  bluez                                4.51-0ubuntu2                              Bluetooth tools and daemons
ii  bluez-alsa                           4.51-0ubuntu2                              Bluetooth audio support
ii  bluez-cups                           4.51-0ubuntu2                              Bluetooth printer driver for CUPS
ii  bluez-gstreamer                      4.51-0ubuntu2                              Bluetooth GStreamer support
ii  bluez-utils                          4.51-0ubuntu2                              Transitional package
ii  gnome-bluetooth                      2.28.0-0ubuntu2                            GNOME Bluetooth tools
ii  libbluetooth3                        4.51-0ubuntu2                              Library to use the BlueZ Linux Bluetooth sta
ii  libgnome-bluetooth7                  2.28.0-0ubuntu2                            GNOME Bluetooth tools - support library
ii  pulseaudio-module-bluetooth          1:0.9.18-0ubuntu3                          Bluetooth module for PulseAudio sound server
Comment 10 Leif Gruenwoldt 2009-10-24 18:49:22 EDT
Tested with Fedora 12 Beta and is working for me now!
Comment 11 Bug Zapper 2009-11-18 05:22:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 02:11:17 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.